﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace XamDoughnutChartHierarchicalDemo
{
    public class BackgroundToForegroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null)
            {
                Brush brush = value as Brush;

                System.Diagnostics.Debug.WriteLine(brush);

                if (brush.ToString().Equals(Brushes.DarkBlue.ToString()))
                {
                    return Brushes.White;
                }
                else
                {
                    return Brushes.Black;
                }
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
