﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDoughnutChartHierarchicalDemo
{
    public class ViewModel
    {
        public List<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new List<SampleData>();

            for(int i=0; i < 4; i++)
            {
                string parent = "Parent " + i.ToString();
                SampleData sd = new SampleData() { Value = 3, Label = parent };
                sd.Children = new List<SampleData>();

                for(int j=0; j<3; j++)
                {
                    SampleData child = new SampleData() { Label = "Child " + j.ToString(), Value = 1 };
                    sd.Children.Add(child);
                }

                this.Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int Value { get; set; }
        public string Label { get; set; }
        public List<SampleData> Children { get; set; }
    }
}
